@624bff0

arm64-debian-10-4.13

Job tree

Job log

See full log and operations
2022-03-16 12:46.01: New job: Build using linux-arm64 in
                                [https://github.com/mirage/mirage-skeleton.git#refs/heads/mirage-dev (ae5dd62aff480c325a82ab4c1a15fa83a2234c3b)]

OBuilder spec:

((from ocaml/opam:debian-10-ocaml-4.13)
 (user (uid 1000) (gid 1000))
 (workdir /home/opam)
 (run (shell "sudo chown opam:opam /home/opam"))
 (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
 (run (network host)
      (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#7a24197918db5a39bdf55000c60c39b3a0f83176"))
 (run (network host)
      (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#b5fa0f6a144ee19d801449033bfa5d24557c87be"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam install -y \"mirage>=4\""))
 (copy (src .) (dst /src/))
 (env MODE unix)
 (workdir /src/)
 (run (shell "opam exec -- make configure"))
 (env MIRAGE_EXTRA_REPOS opam-overlays:https://github.com/dune-universe/opam-overlays.git#624bff0d55d1a21227d11b6f854b7b565d6df1fc,mirage-opam-overlays:https://github.com/dune-universe/mirage-opam-overlays.git#a59e36702822c31e662b242c6d056a31533590e6)
 (run (network host)
      (shell "opam exec -- make lock"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam exec -- make depends"))
 (run (shell "opam monorepo list -l mirage.opam.locked"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam exec -- make pull"))
 (env DUNE_CACHE enabled)
 (env DUNE_CACHE_TRANSPORT direct)
 (run (cache (dune-build-cache (target /home/opam/.cache/dune)))
      (network host)
      (shell "opam exec -- make build"))
)

2022-03-16 12:46.01: Using cache hint "mirage-ci-skeleton-debian-10-ocaml-4.13"
2022-03-16 12:46.01: Waiting for resource in pool OCluster
2022-03-16 12:46.01: Waiting for worker...
2022-03-16 12:46.05: Got resource from pool OCluster
Building on arm64-jade-2.ocamllabs.io
All commits already cached
HEAD is now at ae5dd62 Merge pull request #331 from mirage/add-docteur

(from ocaml/opam:debian-10-ocaml-4.13)
Unable to find image 'ocaml/opam:debian-10-ocaml-4.13' locally
debian-10-ocaml-4.13: Pulling from ocaml/opam
72f0eb753e82: Pulling fs layer
8dfac77eb65d: Pulling fs layer
1aca41c53445: Pulling fs layer
72f0eb753e82: Verifying Checksum
72f0eb753e82: Download complete
1aca41c53445: Verifying Checksum
72f0eb753e82: Pull complete
8dfac77eb65d: Verifying Checksum
8dfac77eb65d: Download complete
8dfac77eb65d: Pull complete
1aca41c53445: Pull complete
Digest: sha256:3731414264777cd7cc32f48f6aa7530df7ecd142e5364d248df8462c7cab355a
Status: Downloaded newer image for ocaml/opam:debian-10-ocaml-4.13
2022-03-16 12:46.05 ---> using "cbba9511e46ef57631453d5b88aeed1ed6de6fa87b6f0dcb3da9328657d73fa4" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2022-03-16 12:46.05 ---> using "0afede13af6ea6d75cbfcfb80353059bc4fd4eea40a723ef627f0c4946f2e079" from cache

/home/opam: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
This development version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Continue? [Y/n] y
Format upgrade done.

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
2022-03-16 12:46.05 ---> using "88933084999984163bc104ca2978b0ba2b9c83ff33e4e30c3b6dae7cb5cde9bc" from cache

/home/opam: (run (network host)
                 (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#7a24197918db5a39bdf55000c60c39b3a0f83176"))
[opam] Initialised
[NOTE] Repository opam has been added to the selections of switch 4.13 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-03-16 12:46.36 ---> saved as "125f17294f631781ca78128ad3e03e5370a1b3baad190bfc7208185a7640d5eb"

/home/opam: (run (network host)
                 (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#b5fa0f6a144ee19d801449033bfa5d24557c87be"))
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-03-16 12:46.38 ---> saved as "fdc1974f811f7bf0b3e5307fbb522da16dc6cc08f8b001d9b011e479f4dadff2"

/home/opam: (run (cache (download-cache (target /home/opam/.opam/download-cache)))
                 (network host)
                 (shell "opam install -y \"mirage>=4\""))
The following actions will be performed:
  - install seq                base        [required by lwt]
  - install dune               3.0.3       [required by mirage]
  - install ocamlbuild         0.14.1      [required by astring, bos]
  - install conf-pkg-config    2           [required by opam-monorepo]
  - install cmdliner           1.0.4       [required by functoria]
  - install ocamlfind          1.9.3       [required by astring, bos]
  - install stdlib-shims       0.3.0       [required by ipaddr]
  - install result             1.5         [required by functoria]
  - install pecu               0.6         [required by emile]
  - install ocaml-syntax-shims 1.0.0       [required by lwt, angstrom]
  - install macaddr            5.3.0       [required by ipaddr]
  - install domain-name        0.4.0       [required by ipaddr]
  - install csexp              1.5.1       [required by dune-configurator]
  - install cppo               1.6.8       [required by lwt]
  - install bigarray-compat    1.1.0       [required by mmap, bigstringaf]
  - install base64             3.5.0       [required by emile]
  - install opam-monorepo      0.2.7       [required by mirage]
  - install topkg              1.0.5       [required by astring, bos]
  - install base-bytes         base        [required by stringext]
  - install ipaddr             5.3.0       [required by mirage]
  - install dune-configurator  3.0.3       [required by lwt]
  - install mmap               1.2.0       [required by lwt]
  - install bigstringaf        0.8.0       [required by emile]
  - install uutf               1.0.3       [required by emile]
  - install rresult            0.7.0       [required by bos, functoria]
  - install fmt                0.9.0       [required by functoria, bos, mirage-runtime]
  - install astring            0.8.5       [required by mirage]
  - install stringext          1.6.0       [required by uri]
  - install ocplib-endian      1.2         [required by lwt]
  - install angstrom           0.15.0      [required by emile, uri]
  - install functoria-runtime  4.0.0~beta3 [required by mirage-runtime]
  - install fpath              0.7.3       [required by bos, functoria]
  - install lwt                5.5.0       [required by mirage-runtime]
  - install uri                4.2.0       [required by functoria]
  - install emile              1.1         [required by functoria]
  - install logs               0.7.0       [required by mirage]
  - install mirage-runtime     4.0.0~beta3 [required by mirage]
  - install bos                0.2.1       [required by mirage]
  - install functoria          4.0.0~beta3 [required by mirage]
  - install mirage             4.0.0~beta3
===== 40 to install =====

The following system packages will first need to be installed:
    pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libglib2.0-0:arm64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 17364 files and directories currently installed.)
- Preparing to unpack .../0-libglib2.0-0_2.58.3-2+deb10u3_arm64.deb ...
- Unpacking libglib2.0-0:arm64 (2.58.3-2+deb10u3) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../1-libglib2.0-data_2.58.3-2+deb10u3_all.deb ...
- Unpacking libglib2.0-data (2.58.3-2+deb10u3) ...
- Selecting previously unselected package libicu63:arm64.
- Preparing to unpack .../2-libicu63_63.1-6+deb10u2_arm64.deb ...
- Unpacking libicu63:arm64 (63.1-6+deb10u2) ...
- Selecting previously unselected package libxml2:arm64.
- Preparing to unpack .../3-libxml2_2.9.4+dfsg1-7+deb10u2_arm64.deb ...
- Unpacking libxml2:arm64 (2.9.4+dfsg1-7+deb10u2) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../4-pkg-config_0.29-6_arm64.deb ...
- Unpacking pkg-config (0.29-6) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../5-shared-mime-info_1.10-1_arm64.deb ...
- Unpacking shared-mime-info (1.10-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../6-xdg-user-dirs_0.17-2_arm64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:arm64 (2.58.3-2+deb10u3) ...
- No schema files found: doing nothing.
- Setting up libicu63:arm64 (63.1-6+deb10u2) ...
- Setting up libglib2.0-data (2.58.3-2+deb10u3) ...
- Setting up pkg-config (0.29-6) ...
- Setting up libxml2:arm64 (2.9.4+dfsg1-7+deb10u2) ...
- Setting up shared-mime-info (1.10-1) ...
- Processing triggers for libc-bin (2.28-10) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved angstrom.0.15.0  (cached)
-> retrieved astring.0.8.5  (cached)
-> retrieved base64.3.5.0  (cached)
-> retrieved bigarray-compat.1.1.0  (cached)
-> retrieved bigstringaf.0.8.0  (cached)
-> retrieved bos.0.2.1  (cached)
-> retrieved cmdliner.1.0.4  (cached)
-> retrieved cppo.1.6.8  (cached)
-> retrieved csexp.1.5.1  (cached)
-> retrieved domain-name.0.4.0  (cached)
-> retrieved dune.3.0.3  (cached)
-> installed conf-pkg-config.2
-> retrieved dune-configurator.3.0.3  (cached)
-> retrieved emile.1.1  (cached)
-> retrieved fmt.0.9.0  (cached)
-> retrieved fpath.0.7.3  (cached)
-> retrieved functoria.4.0.0~beta3  (cached)
-> retrieved functoria-runtime.4.0.0~beta3  (cached)
-> installed cmdliner.1.0.4
-> retrieved ipaddr.5.3.0  (cached)
-> retrieved logs.0.7.0  (cached)
-> retrieved lwt.5.5.0  (cached)
-> retrieved macaddr.5.3.0  (cached)
-> retrieved mirage.4.0.0~beta3  (cached)
-> retrieved mirage-runtime.4.0.0~beta3  (cached)
-> retrieved mmap.1.2.0  (cached)
-> retrieved ocaml-syntax-shims.1.0.0  (cached)
-> retrieved ocamlbuild.0.14.1  (cached)
-> retrieved ocamlfind.1.9.3  (cached)
-> retrieved ocplib-endian.1.2  (cached)
-> retrieved pecu.0.6  (cached)
-> retrieved result.1.5  (cached)
-> installed seq.base
-> retrieved rresult.0.7.0  (cached)
-> retrieved stdlib-shims.0.3.0  (cached)
-> retrieved stringext.1.6.0  (cached)
-> retrieved topkg.1.0.5  (cached)
-> retrieved uri.4.2.0  (cached)
-> retrieved uutf.1.0.3  (cached)
-> retrieved opam-monorepo.0.2.7  (cached)
-> installed ocamlbuild.0.14.1
-> installed ocamlfind.1.9.3
-> installed base-bytes.base
-> installed dune.3.0.3
-> installed topkg.1.0.5
-> installed base64.3.5.0
-> installed bigarray-compat.1.1.0
-> installed cppo.1.6.8
-> installed csexp.1.5.1
-> installed domain-name.0.4.0
-> installed macaddr.5.3.0
-> installed ocaml-syntax-shims.1.0.0
-> installed pecu.0.6
-> installed result.1.5
-> installed stdlib-shims.0.3.0
-> installed stringext.1.6.0
-> installed rresult.0.7.0
-> installed uutf.1.0.3
-> installed bigstringaf.0.8.0
-> installed mmap.1.2.0
-> installed ocplib-endian.1.2
-> installed fmt.0.9.0
-> installed astring.0.8.5
-> installed functoria-runtime.4.0.0~beta3
-> installed ipaddr.5.3.0
-> installed angstrom.0.15.0
-> installed fpath.0.7.3
-> installed emile.1.1
-> installed dune-configurator.3.0.3
-> installed uri.4.2.0
-> installed lwt.5.5.0
-> installed logs.0.7.0
-> installed mirage-runtime.4.0.0~beta3
-> installed bos.0.2.1
-> installed functoria.4.0.0~beta3
-> installed opam-monorepo.0.2.7
-> installed mirage.4.0.0~beta3
Done.
# Run eval $(opam env) to update the current shell environment
2022-03-16 12:49.01 ---> saved as "a5134d353fd41758065722ea321b502d66558ae211af9c401e2bca78c6f9a2f7"

/home/opam: (copy (src .) (dst /src/))
2022-03-16 12:49.01 ---> saved as "93f189536c928380eb992ea1d527a2abbf5508c3ecd34041841525371a3b8fd7"

/home/opam: (env MODE unix)

/home/opam: (workdir /src/)

/src/: (run (shell "opam exec -- make configure"))
mirage configure -f tutorial/noop/config.ml -t unix 
mirage configure -f tutorial/noop-functor/config.ml -t unix 
mirage configure -f tutorial/hello/config.ml -t unix 
mirage configure -f tutorial/hello-key/config.ml -t unix 
mirage configure -f tutorial/lwt/echo_server/config.ml -t unix 
mirage configure -f tutorial/lwt/heads1/config.ml -t unix 
mirage configure -f tutorial/lwt/heads2/config.ml -t unix 
mirage configure -f tutorial/lwt/timeout1/config.ml -t unix 
mirage configure -f tutorial/lwt/timeout2/config.ml -t unix 
mirage configure -f tutorial/app_info/config.ml -t unix 
mirage configure -f device-usage/clock/config.ml -t unix 
mirage configure -f device-usage/conduit_server/config.ml -t unix 
mirage configure -f device-usage/console/config.ml -t unix 
mirage configure -f device-usage/http-fetch/config.ml -t unix 
mirage configure -f device-usage/kv_ro/config.ml -t unix 
mirage configure -f device-usage/network/config.ml -t unix 
mirage configure -f device-usage/ping6/config.ml -t unix 
mirage configure -f device-usage/prng/config.ml -t unix 
mirage configure -f applications/docteur/config.ml -t unix 
File "applications/docteur/config.ml", line 14, characters 52-59:
14 | let () = register "docteur" [ unikernel $ console $ docteur ~branch:"refs/heads/main" remote ]
                                                         ^^^^^^^
Error: Unbound value docteur
run ['dune' 'build' 'applications/docteur/config.exe' '--root' '.'
     '--workspace' 'applications/docteur/mirage/dune-workspace.config']: exited with 1
make: *** [Makefile:60: applications/docteur-configure] Error 1
"/bin/bash" "-c" "opam exec -- make configure" failed with exit status 2

2022-03-16 12:49.18: Job failed: Failed: Build failed